﻿using ThinkGeo.MapSuite.Core;
using System.Collections.Generic;

namespace DisplayS57File
{
    class S57StyleFactory
    {
        public static ValueStyle GetMaritimeStyle()
        {
            ValueStyle classValueStyle = new ValueStyle();
            classValueStyle.ColumnName = "OBJL";

            ValueItem item1 = new ValueItem("74", PointStyles.CreateSimpleCircleStyle(GeoColor.SimpleColors.Transparent, 14.0f, GeoColor.FromArgb(100, 255, 0, 255), 1.0f));
            classValueStyle.ValueItems.Add(item1);

            ValueItem item2 = new ValueItem("9", PointStyles.CreateSimpleCircleStyle(GeoColor.SimpleColors.Transparent, 14.0f, GeoColor.FromArgb(100, 255, 255, 0), 1.0f));
            classValueStyle.ValueItems.Add(item2);

            ValueItem item3 = new ValueItem("12", PointStyles.CreateSimpleCircleStyle(GeoColor.SimpleColors.Transparent, 14.0f, GeoColor.FromArgb(255, 0, 255, 0), 1.0f));
            classValueStyle.ValueItems.Add(item3);

            ValueItem item4 = new ValueItem("19", PointStyles.CreateSimpleCircleStyle(GeoColor.SimpleColors.Transparent, 14.0f, GeoColor.FromArgb(100, 0, 255, 255), 1.0f));
            classValueStyle.ValueItems.Add(item4);

            ValueItem item5 = new ValueItem("73", AreaStyles.CreateSimpleAreaStyle(GeoColor.FromArgb(255, 115, 170, 198), GeoColor.FromArgb(100, 0, 0, 0)));
            classValueStyle.ValueItems.Add(item5);

            ValueItem item6 = new ValueItem("1", AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.FromArgb(100, 0, 0, 0)));
            classValueStyle.ValueItems.Add(item6);

            ValueItem item7 = new ValueItem("105", PointStyles.CreateSimpleCircleStyle(GeoColor.SimpleColors.Red, 20.0f, GeoColor.FromArgb(100, 255, 0, 255), 1.0f));
            classValueStyle.ValueItems.Add(item7);

            ValueItem item8 = new ValueItem("13", PointStyles.CreateSimpleCircleStyle(GeoColor.SimpleColors.DarkOrange, 4.0f, GeoColor.FromArgb(255, 0, 0, 0), 1.0f));
            classValueStyle.ValueItems.Add(item8);

            ValueItem item9 = new ValueItem("72", PointStyles.CreateSimpleCircleStyle(GeoColor.SimpleColors.Transparent, 4.0f, GeoColor.FromArgb(255, 0, 0, 0), 1.0f));
            classValueStyle.ValueItems.Add(item9);

            ValueItem item10 = new ValueItem("84", PointStyles.CreateSimpleCircleStyle(GeoColor.SimpleColors.Transparent, 14.0f, GeoColor.FromArgb(255, 0, 0, 255), 1.0f));
            classValueStyle.ValueItems.Add(item10);

            ValueItem item11 = new ValueItem("75", PointStyles.CreateSimpleCircleStyle(GeoColor.SimpleColors.Transparent, 14.0f, GeoColor.FromArgb(255, 0, 0, 0), 1.0f));
            classValueStyle.ValueItems.Add(item11);

            ValueItem item12 = new ValueItem("39", PointStyles.CreateSimpleCircleStyle(GeoColor.SimpleColors.Transparent, 14.0f, GeoColor.FromArgb(255, 0, 0, 0), 1.0f));
            classValueStyle.ValueItems.Add(item12);

            ValueItem item13 = new ValueItem("153", PointStyles.CreateSimpleCircleStyle(GeoColor.SimpleColors.Transparent, 14.0f, GeoColor.FromArgb(100, 255, 0, 255), 1.0f));
            classValueStyle.ValueItems.Add(item13);

            ValueItem item14 = new ValueItem("159", PointStyles.CreateSimpleTriangleStyle(GeoColor.SimpleColors.Transparent, 14.0f, GeoColor.FromArgb(200, 0, 0, 0), 1.0f));
            classValueStyle.ValueItems.Add(item14);

            ValueItem item15 = new ValueItem("127", PointStyles.CreateSimpleSquareStyle(GeoColor.SimpleColors.Transparent, 10.0f, GeoColor.FromArgb(100, 0, 0, 0), 1.0f));
            classValueStyle.ValueItems.Add(item15);

            ValueItem item16 = new ValueItem("42", AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.FromHtml("#5f6a60")));
            classValueStyle.ValueItems.Add(item16);

            ValueItem item17 = new ValueItem("30", LineStyles.CreateSimpleLineStyle(GeoColor.FromArgb(255, 255, 0, 0), 1.0f, true));
            classValueStyle.ValueItems.Add(item17);

            ValueItem item18 = new ValueItem("43", LineStyles.CreateSimpleLineStyle(GeoColor.FromHtml("#abc0b1"), 1.0f, true));
            classValueStyle.ValueItems.Add(item18);

            ValueItem item19 = new ValueItem("22", LineStyles.CreateSimpleLineStyle(GeoColor.FromHtml("#88acac"), 1.0f, LineDashStyle.Dash, true));
            classValueStyle.ValueItems.Add(item19);

            ValueItem item20 = new ValueItem("48", AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.FromArgb(255, 0, 0, 0), 1, LineDashStyle.DashDotDot));
            classValueStyle.ValueItems.Add(item20);

            ValueItem item21 = new ValueItem("50", AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.FromArgb(100, 0, 0, 0), 1, LineDashStyle.Dash));
            classValueStyle.ValueItems.Add(item21);

            ValueItem item22 = new ValueItem("308", AreaStyles.CreateSimpleAreaStyle(GeoColor.FromArgb(100, 216, 255, 225), GeoColor.FromArgb(100, 0, 0, 0)));
            classValueStyle.ValueItems.Add(item22);

            ValueItem item23 = new ValueItem("119", AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.FromArgb(100, 0, 0, 0)));
            classValueStyle.ValueItems.Add(item23);

            ValueItem item24 = new ValueItem("121", AreaStyles.CreateSimpleAreaStyle(GeoColor.FromArgb(100, 0, 0, 0), GeoColor.FromArgb(100, 0, 0, 0)));
            classValueStyle.ValueItems.Add(item24);

            ValueItem item25 = new ValueItem("112", AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.FromArgb(255, 200, 0, 200), 2, LineDashStyle.Dash));
            classValueStyle.ValueItems.Add(item25);

            ValueItem item26 = new ValueItem("302", AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.FromArgb(100, 0, 0, 0)));
            classValueStyle.ValueItems.Add(item26);

            ValueItem item27 = new ValueItem("306", AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.FromArgb(100, 0, 0, 0)));
            classValueStyle.ValueItems.Add(item27);

            ValueItem item28 = new ValueItem("305", AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.FromArgb(100, 0, 0, 0)));
            classValueStyle.ValueItems.Add(item28);

            ValueItem item29 = new ValueItem("71", AreaStyles.CreateSimpleAreaStyle(GeoColor.FromArgb(255, 177, 170, 107), GeoColor.FromArgb(100, 0, 0, 0)));
            classValueStyle.ValueItems.Add(item29);

            ValueItem item30 = new ValueItem("86", AreaStyles.CreateSimpleAreaStyle(GeoColor.FromArgb(255, 115, 170, 198), GeoColor.FromArgb(255, 0, 0, 0), 2, LineDashStyle.Dot));
            classValueStyle.ValueItems.Add(item30);

            ValueItem item31 = new ValueItem("31", AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.FromHtml("#abc0b1"), 1, LineDashStyle.Solid));
            classValueStyle.ValueItems.Add(item31);

            ValueItem item32 = new ValueItem("27", AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.FromArgb(255, 200, 0, 200), 2, LineDashStyle.Dash));
            classValueStyle.ValueItems.Add(item32);

            ValueItem item33 = new ValueItem("83", AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.FromArgb(255, 200, 0, 200), 1, LineDashStyle.DashDotDot));
            classValueStyle.ValueItems.Add(item33);

            return classValueStyle;
        }
    }
}
